<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>电脑产品发布</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</head>

<body>
    <div class="container mt-5">
        <!-- 页头 -->
        <div class="card shadow mb-4">
            <div class="card-header bg-primary text-white text-center">
                <h2>电脑产品发布</h2>
            </div>
        </div>

        <!-- 发布表单 -->
        <div class="card shadow">
            <div class="card-body">
                <form action="/computer?action=add" method="post">
                    <div class="mb-3">
                        <label for="name" class="form-label">名称</label>
                        <input type="text" class="form-control" id="name" name="name" required>
                    </div>
                    <div class="mb-3">
                        <label for="price" class="form-label">价格</label>
                        <input type="text" class="form-control" id="price" name="price" required>
                    </div>
                    <div class="mb-3">
                        <label for="stock" class="form-label">库存</label>
                        <input type="text" class="form-control" id="stock" name="stock" required>
                    </div>
                    <div class="text-center">
                        <button type="submit" class="btn btn-success btn-lg">确定</button>
                    </div>
                </form>
            </div>
        </div>

        <!-- 返回按钮 -->
        <div class="text-center mt-4">
            <a href="/computer?action=list" class="btn btn-primary">返回电脑列表</a>
        </div>
    </div>
</body>

</html>
