<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>电脑商城 - 用户登录</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
</head>

<body>
    <div class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card shadow">
                    <div class="card-header text-center bg-primary text-white">
                        <h2>电脑商城 - 用户登录</h2>
                    </div>
                    <div class="card-body">
                        <form action="login" method="post">
                            <div style="text-align:center">
                                <img src="http://cdn.qiniu.liyansheng.top/img/notebook-154358_640.png" style="height:100px"/>
                            </div>
                            <div class="mb-3">
                                <label for="username" class="form-label">用户名:</label>
                                <input type="text" id="username" name="username" class="form-control" required>
                            </div>
                            <div class="mb-3">
                                <label for="password" class="form-label">密码:</label>
                                <input type="password" id="password" name="password" class="form-control" required>
                            </div>
                            <div class="d-grid">
                                <button type="submit" class="btn btn-primary">登录</button>
                            </div>
                        </form>
                        <div class="text-center mt-3">
                            <a href="/register" class="text-decoration-none">没有账号? 去注册</a>
                        </div>
                    </div>
                </div>
                <div class="mt-3 text-center">
                    ${requestScope.msg}
                </div>
            </div>
        </div>
    </div>
</body>

</html>
